Minted Connect
  1. Baskets
Minted Connect
Walletable E-Commerce
  • Partner
  • E-Commerce API
  • Embedded Webview
  • Walletable E-Commerce
  • Customers
    • Create Customer
      POST
    • Update Customer
      PATCH
    • Remove Customer Id
      DELETE
    • Get Customer
      GET
  • Products
    • Get Products
      GET
  • Complete
    • Complete Buy
      POST
    • Complete Sell
      POST
    • Complete Delivery
      POST
  • Orders
    • Get Orders
      GET
    • Receipt
      GET
    • Balance / Wallet
      GET
  • Baskets
    • Get Active Basket
      GET
    • Delete Basket Item
      DELETE
    • Create Basket / Add Basket Item
      POST
    • Clear Basket
      DELETE
    • Update Basket Item
      PATCH
  • Currency Rates
    GET
  • Rate History
    GET
  1. Baskets

Update Basket Item

Testing
Testing Env
https://api.staging.mintedconnect.com
Testing Env
https://api.staging.mintedconnect.com
PATCH
https://api.staging.mintedconnect.com
/partner/walletable/basket
Last modified:2026-01-22 12:06:57
Maintainer:Not configured

Request

Authorization
Provide your encrypted digest scheme data in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Digest username=guest, realm="test", nonce="2", uri="/uri", response="***"
Header Params

Body Params application/jsonRequired

Example
{
  "external_customer_id": "{{customer_external_id}}",
  "cart_token": "{{cart_token}}",
  "sku": "MNTBAE0001",
  "qty": 3
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.staging.mintedconnect.com/partner/walletable/basket' \
--header 'x-client-id: web' \
--header 'api-version: 3' \
--header 'Accept-Language: tr' \
--header 'Authorization: Digest <parameters>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "external_customer_id": "",
  "cart_token": "{{cart_token}}",
  "sku": "MNTBAE0001",
  "qty": 3
}'

Responses

🟢200Success
application/json
Body

Example
{
    "data": {
        "pricefix": {
            "remaining": 201,
            "nextUpdate": "2026-02-20T15:31:57+03:00"
        },
        "id": 10984,
        "guid": "2695BF07-6963-40FD-9777-21670640745B",
        "order_creation_status": "basket",
        "external_id": null,
        "increment_id": "59047701704",
        "token": "SKTHzfR4HnKXmcM4XeHfFRUPq6n3jJGL",
        "price_token": "I50OIXArzMS9PFK0t7BdLYrP6uHiS0GF",
        "type": "buy",
        "price": 1777.02,
        "tax": 0,
        "total": 1777.02,
        "payment_cost": 0,
        "paid_total": 1852.6,
        "delivery_cost": 0,
        "insurance_price": 0,
        "conversion_price": 0,
        "market_commission": 0,
        "minted_markup_price": 0,
        "silver_craftsmanship": 0,
        "charge_fee": 31.1,
        "charge_fee_rate": 1.75,
        "minting_fee": 35.55,
        "storage_fee": 5.33,
        "storage_fee_rate": 0.3,
        "charges_vat": 3.6,
        "vat_rate": 5,
        "currency_code": "AED",
        "status_id": 1,
        "status_name": "Created",
        "customer": {
            "external_id": "ea0982a7-4fd3-43ff-a682-cae5870d1eac",
            "firstname": "Brant",
            "middlename": "",
            "lastname": "Ankunding",
            "fullname": "Brant Ankunding",
            "email": "[email protected]",
            "phone": "+905111111111",
            "gender": "M",
            "identity_number": "12345678910",
            "tax_office": null,
            "birthdate": "1970-01-31",
            "account_type": "person"
        },
        "shippingaddress": null,
        "billingaddress": null,
        "payment": {
            "redirect_url": "",
            "token": "",
            "is_3d": false,
            "auth_mode": "",
            "amount": 1777.02,
            "state": "new",
            "comission": 51.18,
            "total": 1828.2,
            "details": null
        },
        "delivery": null,
        "order_at": "2026-02-20T12:27:57.000000Z",
        "items": [
            {
                "item_currency_id": 1000013,
                "item_currency_name": "Dirham Gold",
                "product_id": 3000099,
                "sku": "MNTBAE0001",
                "product_name": "Minted 1 g 999.9 Gold Bar",
                "product_weight": 1,
                "price": 592.34,
                "tax_rate": 0,
                "tax": 0,
                "amount": 3,
                "total": 1777.02,
                "product_images": [
                    "https://minted-tr.mncdn.com/products/10/Z1P5eT1ggOvmgyS5bwFeW1qZwS41zj5FOL3gu4Fv.png",
                    "https://minted-tr.mncdn.com/products/10/JxMzuWaZkljzWoVXzfKZPWYY2FeAU1TQY1sAtMnv.png",
                    "https://minted-tr.mncdn.com/products/10/qzyXgt51f7ndySM5QpMQqyDN6QBZXqAomsyshp5r.png",
                    "https://minted-tr.mncdn.com/products/10/sKZiiWqLA9PdejL5mG2sMWOyPJl7FWD95ILsYtx4.png"
                ],
                "prices": [
                    {
                        "id": 6,
                        "name": "Fiziksel Dönüşüm",
                        "price": 0
                    },
                    {
                        "id": 4,
                        "name": "Kargo",
                        "price": 0
                    },
                    {
                        "id": 7,
                        "name": "Minting Fee",
                        "price": 11.85
                    },
                    {
                        "id": 2,
                        "name": "Sigorta",
                        "price": 0
                    }
                ]
            }
        ],
        "total_amount": 3,
        "currency": "Dirham Gold",
        "tx_type": "oneoffpurchase"
    },
    "success": true,
    "code": 0,
    "message": ""
}
🟠422Validation
Modified at 2026-01-22 12:06:57
Previous
Clear Basket
Next
Currency Rates
Built with